import { FC } from 'react';
declare type ScreeningBaseType = {
    jobTitle: string;
    companyName: string;
};
export declare type ScreeningWithMeetingType = ScreeningBaseType & {
    date: Date;
    time: string;
};
export declare type ScreeningWithStatusType = ScreeningBaseType & {
    date: Date;
    status: 'waiting' | 'success' | 'cancelled';
};
export declare type ScreeningOnApprovalType = ScreeningBaseType & {
    username: string;
    skills: string[];
};
export declare type ColumnItemType = ScreeningWithMeetingType | ScreeningWithStatusType | ScreeningOnApprovalType;
declare type Props = ColumnItemType & {
    t: {
        skills: string;
        success: string;
        cancelled: string;
        waiting: string;
    };
};
export declare enum Status {
    Success = "success",
    Cancelled = "cancelled",
    Waiting = "waiting"
}
declare const ColumnItem: FC<Props>;
export default ColumnItem;
